import { eRfidApplicationType, eRfidErrorCodes } from '../../../../../../../../../../../../../../../consts';
import { iRfidDataFile, RfidDataFile } from './children';
/**
* Structure is used to describe the contents of a single LDS application and their analysis within the context
* of the communication session with electronic document
*/
export interface iRfidApplication {
    /**
    * Type of application of electronic document
    * @type {eRfidApplicationType}
    */
    Type: eRfidApplicationType;
    /**
    * Status of the application selection procedure
    * @type {eRfidErrorCodes}
    */
    Status: eRfidErrorCodes;
    /**
    * Application identifier
    * @type {string}
    */
    ApplicationID: string;
    /**
    * Version of the application
    * @type {string}
    */
    Version: string;
    /**
    * Unicode version for application
    * @type {string}
    */
    UnicodeVersion: string;
    /**
    * Algorithm for calculating hash values for files for the procedure of PA
    * @type {string}
    */
    DataHashAlgorithm: string;
    /**
    * List of containers to store information about the read files of the application
    * @type {iRfidDataFile[]}
    */
    Files: iRfidDataFile[];
}
/**
* Structure is used to describe the contents of a single LDS application and their analysis within the context
* of the communication session with electronic document
*/
export declare class RfidApplication implements iRfidApplication {
    /**
    * Type of application of electronic document
    * @type {eRfidApplicationType}
    */
    Type: eRfidApplicationType;
    /**
    * Status of the application selection procedure
    * @type {eRfidErrorCodes}
    */
    Status: eRfidErrorCodes;
    /**
    * Application identifier
    * @type {string}
    */
    ApplicationID: string;
    /**
    * Version of the application
    * @type {string}
    */
    Version: string;
    /**
    * Unicode version for application
    * @type {string}
    */
    UnicodeVersion: string;
    /**
    * Algorithm for calculating hash values for files for the procedure of PA
    * @type {string}
    */
    DataHashAlgorithm: string;
    /**
    * List of containers to store information about the read files of the application
    * @type {RfidDataFile[]}
    */
    Files: RfidDataFile[];
}
